Name:           qrq
Version:        0.2.1
Release:        1%{?dist}
Summary:        Morse telegraphy trainer

Group:          Applications/Communications
License:        GPLv2+
URL:            http://fkurz.net/ham/qrq.html
Source0:        http://fkurz.net/ham/qrq/qrq-%{version}.tar.gz
#Fix DESTDIR, Don't strip, preserve timestamps
Patch0:         qrq-0.2.1-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel, pulseaudio-libs-devel
#Requires:       

%description
qrq is an open source morse telegraphy trainer for Linux and Unix operating
systems, similar to the classic DOS version of Rufz by DL4MM.

It's not intended for learning telegraphy, but to improve the ability to
copy callsigns at high speeds, as needed for example for Contesting. 

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}%{_prefix} OSX_BUNDLE=NO


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/qrq
%{_bindir}/qrqscore
%{_mandir}/man?/*
%{_datadir}/qrq

%changelog
* Tue Sep 20 2011 cooly@gnome.eu.org - 0.2.1-1
- update patch0
- new upstream release

* Sun May 08 2011 Lucian Langa <cooly@gnome.eu.org> - 0.2.0-1
- add pulseaudio-libs-devel BR
- update patch0
- fix CFLAGS
- update shiped filenames
- new upstream release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 04 2008 Lucian Langa <cooly@gnome.eu.org> - 0.1.4-3
- fix CFLAGS

* Wed Sep 03 2008 Lucian Langa <cooly@gnome.eu.org> - 0.1.4-2
- misc cleanups
- new upstream 0.1.4

* Mon Jan 07 2008 Robet 'Bob' Jensen - 0.1.3-1
- Version Update
* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 0.1.2-1
- Initial build
